package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/resource/request"
	"sorbet/pkg/crud"
)

type ResourceController struct {
	crud.Controller[entities.Resource, request.ResourceUpsertRequest]
}

func (ctr *ResourceController) InitRoutes(r *echo.Group) {
	ctr.RegisterRoutes("/resources", r)
}
