package resource

import (
	"sorbet/internal/services/resource/controller"
	"sorbet/pkg/crud"
)

type Service struct{}

func (*Service) Name() string {
	return "resource"
}

func (*Service) Priority() int {
	return 2
}

func (*Service) Init(ctx *crud.Context) error {
	ctx.Routes(&controller.ResourceController{})
	ctx.Routes(&controller.ResourceCategoryController{})
	return nil
}

func (s *Service) Bootstrap() error { return nil }
func (s *Service) Destroy() error   { return nil }
