package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/system/request"
	"sorbet/pkg/crud"
)

type SystemPermissionController struct {
	crud.Controller[entities.SystemPermission, request.SystemPermissionUpsertRequest]
}

func (s *SystemPermissionController) InitRoutes(r *echo.Group) {
	s.RegisterRoutes("/system/permissions", r)
}
